# POST /v4/engine/tokens/synthetic

_Merkl API_

Upsert a synthetic token with engine-provided metadata (no on-chain fetch)

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "chainId": {
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "address": {
      "type": "string"
    },
    "symbol": {
      "type": "string"
    },
    "decimals": {
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "price": {
      "type": "number"
    }
  },
  "required": [
    "chainId",
    "address",
    "symbol",
    "decimals"
  ],
  "additionalProperties": false
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "chainId": {
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "address": {
      "type": "string"
    },
    "symbol": {
      "type": "string"
    },
    "decimals": {
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "price": {
      "type": "number"
    }
  },
  "required": [
    "chainId",
    "address",
    "symbol",
    "decimals"
  ],
  "additionalProperties": false
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "chainId": {
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "address": {
      "type": "string"
    },
    "symbol": {
      "type": "string"
    },
    "decimals": {
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "price": {
      "type": "number"
    }
  },
  "required": [
    "chainId",
    "address",
    "symbol",
    "decimals"
  ],
  "additionalProperties": false
}
```

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/engine/tokens/synthetic" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```